Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.security
Interface XmldbPrincipal

All Superinterfaces:
  java.security.Principal

public interface XmldbPrincipal
extends java.security.Principal

Author:
  mdiggory

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`boolean` | `hasRole(java.lang.String role)`

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### getPassword

    public java.lang.String getPassword()

### hasRole

    public boolean hasRole(java.lang.String role)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.